%define module	MDV-Repsys
%define name	perl-%{module}
%define version	2.0.3
%define release	%mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Interface to Mandriva build system
License:	GPL
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.gz
Url:		http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/rpm/%{module}/
BuildRequires: subversion-tools
BuildRequires: perl(Config::IniFiles)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(Date::Format)
BuildRequires: perl(HTML::TableExtract)
BuildRequires: perl(IO::String)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(RPM4)
BuildRequires: perl(SVN::Client)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Net::LDAP)
BuildRequires: perl(Youri::Package::RPM::Updater)
BuildRequires: perl(Youri::Package::RPM::Builder)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl-version
BuildRequires: perl(Test::Kwalitee)
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Prereq)
Provides: mdvsys
# http://qa.mandriva.com/show_bug.cgi?id=28388
Requires: repsys
Requires: subversion-tools
Requires: perl(Youri::Package::RPM::Updater)
Requires: perl(Youri::Package::RPM::Builder)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot/

%description
This is an interface to Mandriva build system.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor SYSCONFDIR=%{_sysconfdir}
%{__make}

%check
%make test TEST_AUTHOR=foo

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_sysconfdir}/bash_completion.d/mdvsys
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/MDV


%changelog
* Tue May 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.3-3mdv2009.0
+ Revision: 201979
- fix deps

* Sun Feb 24 2008 Olivier Blin <oblin@mandriva.com> 2.0.3-2mdv2008.1
+ Revision: 174316
- explicitely require Youri::Package::RPM::Updater and Youri::Package::RPM::Builder (not automatically caught by perl.req)

* Sun Feb 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.3-1mdv2008.1
+ Revision: 169414
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 21 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.0.2-2mdv2008.1
+ Revision: 110970
- rebuild for lzma permissions

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.2-1mdv2008.1
+ Revision: 104505
- new version

* Wed Sep 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.1-1mdv2008.0
+ Revision: 93039
- new version
  drop useless test dependencies

* Wed Sep 19 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-1mdv2008.0
+ Revision: 90602
- fix deps

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version


* Wed Jan 24 2007 Andreas Hasenack <andreas@mandriva.com> 1.00-3mdv2007.0
+ Revision: 112840
- require repsys (#28388)

* Tue Jan 16 2007 Olivier Blin <oblin@mandriva.com> 1.00-2mdv2007.1
+ Revision: 109605
- use submit host from repsys configuration file (patch from svn)

  + Michael Scherer <misc@mandriva.org>
    - update url, spotted by pterjan

* Thu Jan 04 2007 Olivier Thauvin <nanardon@mandriva.org> 1.00-1mdv2007.1
+ Revision: 103944
- provide mdvsys to help people to find it
- 1.00

* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.09-3mdv2007.1
+ Revision: 73473
- Add BuildRequires

* Fri Oct 20 2006 Olivier Blin <oblin@mandriva.com> 0.09-2mdv2007.1
+ Revision: 71324
- Patch0: use "default" target value from "submit" section (backport from trunk)

* Mon Oct 16 2006 Olivier Thauvin <nanardon@mandriva.org> 0.09-1mdv2007.1
+ Revision: 65440
- fix buildrequires
- back to generic requirement
- workaround mandriva lazyness
- 0.09

* Wed Aug 30 2006 Olivier Thauvin <nanardon@mandriva.org> 0.08-4mdv2007.0
+ Revision: 58665
- path2: fix issue if user appear several time in repsys.conf

* Sat Aug 26 2006 Olivier Thauvin <nanardon@mandriva.org> 0.08-3mdv2007.0
+ Revision: 58130
- fix mdvsys build (upstram patch)

* Thu Aug 24 2006 Olivier Thauvin <nanardon@mandriva.org> 0.08-2mdv2007.0
+ Revision: 57744
- patch to fix issue when text exists before changelog from misc/

* Mon Aug 14 2006 Olivier Thauvin <nanardon@mandriva.org> 0.08-1mdv2007.0
+ Revision: 55842
- 0.08

* Sat Aug 12 2006 Olivier Thauvin <nanardon@mandriva.org> 0.07-1mdv2007.0
+ Revision: 55531
- fix buildrequires
- 0.07

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org> 0.06-1mdv2007.0
+ Revision: 53639
- 0.06

* Sat Aug 05 2006 Olivier Thauvin <nanardon@mandriva.org> 0.05-1mdv2007.0
+ Revision: 52781
- 0.05

* Mon Jul 31 2006 Olivier Thauvin <nanardon@mandriva.org> 0.04-2mdv2007.0
+ Revision: 42834
- really add patch0
- upstream patch0: function don't get arguments
- add missing buildrequires
- 0.04

* Wed Jul 26 2006 Olivier Thauvin <nanardon@mandriva.org> 0.03-2mdv2007.0
+ Revision: 42081
- patch0: parse changelog date as UTC

* Fri Jul 21 2006 Olivier Thauvin <nanardon@mandriva.org> 0.03-1mdv2007.0
+ Revision: 41776
- 0.03

* Mon Jul 17 2006 Olivier Thauvin <nanardon@mandriva.org> 0.02-1mdv2007.0
+ Revision: 41361
- 0.02

* Sat Jul 15 2006 Olivier Thauvin <nanardon@mandriva.org> 0.01-1mdv2007.0
+ Revision: 41109
- Import perl-MDV-Repsys

